Bug 144698 - Update port: www/cherokee
Summary: Update port: www/cherokee
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-12 16:10 UTC by Diego Schulz
Modified: 2010-03-15 01:20 UTC (History)
0 users

See Also:


Attachments
file.shar (47.84 KB, text/plain)
2010-03-12 16:10 UTC, Diego Schulz
no flags Details
cherokee-0.99.43_2.diff (1.87 KB, patch)
2010-03-15 00:43 UTC, Diego Schulz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Schulz 2010-03-12 16:10:02 UTC
Updated the www/cherokee port adding an option to run the daemon as www user (not root). Also added a pkg-message with some basic instructions.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-03-12 16:10:19 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2010-03-12 18:32:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 wenheping 2010-03-12 23:47:20 UTC
Better submitt the diff file.

wen
Comment 4 Martin Wilke freebsd_committer 2010-03-13 14:53:44 UTC
Responsible Changed
From-To: miwi->wen

over to wen seems he have been dealed with that on ports@
Comment 5 Diego Schulz 2010-03-15 00:43:31 UTC
On Fri, Mar 12, 2010 at 8:47 PM, wen heping <wenheping@gmail.com> wrote:
> Better submitt the diff file.
>
> wen
>

Here it is.

(cd /usr/ports/www/cherokee/ && patch -p1 < cherokee-0.99.43_2.diff )

thank you wen.

diego
Comment 6 dfilter service freebsd_committer 2010-03-15 01:17:03 UTC
wen         2010-03-15 01:16:48 UTC

  FreeBSD ports repository

  Modified files:
    www/cherokee         Makefile 
  Added files:
    www/cherokee         pkg-message 
  Log:
  - Add an option to run the daemon as www user (not root)
  
  PR:             ports/144698
  Submitted by:   Diego Schulz <dschulz@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.75      +21 -12    ports/www/cherokee/Makefile
  1.1       +23 -0     ports/www/cherokee/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wen Heping freebsd_committer 2010-03-15 01:18:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!